## org.eclipse.datatools.sqltools.data.internal.ui.extract
Class ExtractDataActionProvider

    java.lang.Object
      org.eclipse.ui.actions.ActionGroup
          org.eclipse.ui.navigator.CommonActionProvider
              org.eclipse.datatools.connectivity.sqm.core.internal.ui.explorer.popup.providers.AbstractActionProvider
                  org.eclipse.datatools.connectivity.sqm.core.internal.ui.explorer.popup.providers.AbstractSubMenuActionProvider
                      org.eclipse.datatools.sqltools.data.internal.ui.extract.ExtractDataActionProvider

All Implemented Interfaces:
  org.eclipse.ui.navigator.IMementoAware

    public class ExtractDataActionProvider

extends org.eclipse.datatools.connectivity.sqm.core.internal.ui.explorer.popup.providers.AbstractSubMenuActionProvider

Constructor Summary
`ExtractDataActionProvider()`

Method Summary

Methods inherited from class org.eclipse.datatools.connectivity.sqm.core.internal.ui.explorer.popup.providers.AbstractSubMenuActionProvider
`fillContextMenu`

Methods inherited from class org.eclipse.datatools.connectivity.sqm.core.internal.ui.explorer.popup.providers.AbstractActionProvider
`init`

Methods inherited from class org.eclipse.ui.navigator.CommonActionProvider
`restoreState, saveState`

Methods inherited from class org.eclipse.ui.actions.ActionGroup
`dispose, fillActionBars, getContext, setContext, updateActionBars`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExtractDataActionProvider

    public ExtractDataActionProvider()